<?php

namespace App\Filament\Resources\Manage\Cooperations\Pages;

use App\Filament\Resources\Manage\Cooperations\CooperationResource;
use Filament\Actions\Action;
use Filament\Resources\Pages\CreateRecord;

class CreateCooperation extends CreateRecord
{
    protected static string $resource = CooperationResource::class;

    protected static ?string $title = 'Tambah Kerja Sama';

    protected function getHeaderActions(): array
    {
        return [
            Action::make('back')
                ->label('Kembali')
                ->url(ListCooperations::getUrl())
                ->outlined()
                ->color('secondary'),
        ];
    }

    protected function getRedirectUrl(): string
    {
        return $this->getResource()::getUrl('index');
    }
}
